module Paths_roborace (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/patek/.cabal/bin"
libdir     = "/home/patek/.cabal/lib/roborace-0.1/ghc-6.12.1"
datadir    = "/home/patek/.cabal/share/roborace-0.1"
libexecdir = "/home/patek/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "roborace_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "roborace_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "roborace_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "roborace_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
